require 'sketchup.rb'
require 'extensions.rb'
module CURIC
  module DCUI
    PLUGIN = self
    PLUGIN_NAMESPACE  = 'Curic'.freeze
    PLUGIN_ID         = 'Dynamic Component UI+'.freeze
    PLUGIN_NAME       = "#{PLUGIN_NAMESPACE} #{PLUGIN_ID}".freeze
    PLUGIN_VERSION    = '1.0.0 Public Beta 2'.freeze

    FILENAMESPACE = File.basename(__FILE__, '.*')
    PATH_ROOT     = File.dirname(__FILE__).freeze
    PATH          = File.join(PATH_ROOT, FILENAMESPACE).freeze

    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new(PLUGIN_NAME, "#{FILENAMESPACE}/loader")
      ex.version     = PLUGIN_VERSION
      ex.copyright   = 'Curic'
      ex.creator     = 'Vo Quoc Hai (curic4su@gmail.com)'
      ex.description = 'Dynamic Component UI+'
      Sketchup.register_extension(ex, true)
      PLUGIN_EX = ex
    end
  end
end
file_loaded(__FILE__)
