module CURIC::DCUI
  class Container
    attr_accessor :id, :name, :attributes

    def initialize
      @id = ''
      @name = ''
      @attributes = []
    end

    alias label name
    alias label= name=

    def add_attribute(attribute)
      @attributes << attribute
    end
  end

  class Group < Container
    def initialize(name)
      super

      @name = name
    end
  end

  class Layout < Container
    def initialize
      super
    end
  end

  class Column < Container
    def initialize
      super
    end
  end

end